Genivia - wsa5__EndpointReferenceType Struct Reference

|  | Home | Documentation | wsa5__EndpointReferenceType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsa5__EndpointReferenceType Struct Reference

"http://www.w3.org/2005/08/addressing":EndpointReferenceType is a complexType. More...

`#include <wsa5.h>`

Collaboration diagram for wsa5__EndpointReferenceType:
[legend]

## Public Attributes
char * | Address
| Element Address of type "http://www.w3.org/2005/08/addressing":AttributedURIType. More...
struct wsa5__ReferenceParametersType * | ReferenceParameters
| Element reference "http://www.w3.org/2005/08/addressing":ReferenceParameters. More...
struct wsa5__MetadataType * | Metadata
| Element reference "http://www.w3.org/2005/08/addressing":Metadata. More...
int | __size
_XML * | __any
_XML | __anyAttribute
| Catch any attribute content in XML string. More...

## Detailed Description

"http://www.w3.org/2005/08/addressing":EndpointReferenceType is a complexType.

## Member Data Documentation

_XML* wsa5__EndpointReferenceType::__any

Catch any element content in XML string.

_XML wsa5__EndpointReferenceType::__anyAttribute

Catch any attribute content in XML string.

TODO: <anyAttribute namespace="##other"> Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute.

int wsa5__EndpointReferenceType::__size

TODO: <any namespace="##other" minoccurs="0" maxoccurs="unbounded"> Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d to use xsd__anyType DOM. Size of the dynamic array of XML is 0..unbounded

char* wsa5__EndpointReferenceType::Address

Element Address of type "http://www.w3.org/2005/08/addressing":AttributedURIType.

Required element.

struct wsa5__MetadataType* wsa5__EndpointReferenceType::Metadata

Element reference "http://www.w3.org/2005/08/addressing":Metadata.

Optional element.

struct wsa5__ReferenceParametersType* wsa5__EndpointReferenceType::ReferenceParameters

Element reference "http://www.w3.org/2005/08/addressing":ReferenceParameters.

Optional element.

The documentation for this struct was generated from the following file:

- wsa5.h